## EMBOSS: digest

# Program digest

## Function

Protein proteolytic enzyme or reagent cleavage digest

## Description

digest finds the positions where a specified proteolytic enzyme or reagent might cut a peptide sequence.

This programs allows you to input a protein sequence and to specify one proteolytic agent from a list. It will then output a file containing the positions where the agent cuts, together with the peptides produced.

Trypsin will not normally cut after a K if it is followed by (e.g.) another K or a P. Specifying the qualifier -unfavoured shows those cuts. as well as the favoured ones.

If you wish to emulate a partial digestion, then using the -overlap qualifier will display the results from a digest in which all cut sites are used and in which one site at a time is not cut. Thus the resulting peptide fragments from the cut sites numbered 1, 2, 3, 4 etc. are shown, plus the fragments produced by cutting at the sites 1..3, 2..4, etc.

i.e. fragments containing one potential cut site are also shown.

If you wish to emulate a very partial digestion (!) then using the -allpartials qualifier will do what -overlap did, but also show all possible fragments from using all possible combinations of cut sites. For example, fragments from the cut sites numbered 1, 2, 3, 4, 5 and from the fragments produced by cutting between sites 1..3, 1..4, 1..5, 2..4, 2..5, 3..5, etc.

i.e. fragments containing one or more potential cut site are also shown.

## Usage

Here is a sample session with digest.

    % digest
    Input sequence: sw:opsd_human
    Enzymes and Reagents
             1 : Trypsin
             2 : Lys-C
             3 : Arg-C
             4 : Asp-N
             5 : V8-bicarb
             6 : V8-phosph
             7 : Chymotrypsin
             8 : CNBr
    Select number [1]:
    Output file [opsd_human.digest]:

## Command line arguments

       Mandatory qualifiers:
      [-sequencea]         sequence   Sequence USA
       -menu               menu       Select number
      [-outfile]           report     (no help text) report value

       Optional qualifiers: (none)
       Advanced qualifiers:
       -unfavoured         bool       Trypsin will not normally cut after a K if
                                      it is followed by (e.g.) another K or a P.
                                      Specifying this shows those cuts. as well as
                                      the favoured ones.
       -aadata             string     Molecular weight data for amino acids
       -overlap            bool       Used for partial digestion. Shows all cuts
                                      from favoured cut sites plus 1..3, 2..4,
                                      3..5 etc but not (e.g.) 2..5. Overlaps are
                                      therefore fragments with exactly one
                                      potential cut site within it.
       -allpartials        bool       As for overlap but fragments containing more
                                      than one potential cut site are included.

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequencea] (Parameter 1) | Sequence USA | Readable sequence | Required

-menu

Select number

1 | (Trypsin)
2 | (Lys-C)
3 | (Arg-C)
4 | (Asp-N)
5 | (V8-bicarb)
6 | (V8-phosph)
7 | (Chymotrypsin)
8 | (CNBr)

1

[-outfile] (Parameter 2) | (no help text) report value | Report file |
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
-unfavoured | Trypsin will not normally cut after a K if it is followed by (e.g.) another K or a P. Specifying this shows those cuts. as well as the favoured ones. | Yes/No | No
-aadata | Molecular weight data for amino acids | Any string is accepted | Eamino.dat
-overlap | Used for partial digestion. Shows all cuts from favoured cut sites plus 1..3, 2..4, 3..5 etc but not (e.g.) 2..5. Overlaps are therefore fragments with exactly one potential cut site within it. | Yes/No | No
-allpartials | As for overlap but fragments containing more than one potential cut site are included. | Yes/No | No

## Input file format

Any protein sequence.

## Output file format

The output is a standard EMBOSS report file.

The results can be output in one of several styles by using the command-line qualifier -rformat xxx, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, trace, listfile, dbmotif, diffseq, excel, feattable, motif, regions, seqtable, simple, srs, table, tagseq

See: http://www.uk.embnet.org/Software/EMBOSS/Themes/ReportFormats.html for further information on report formats.

By default digest writes a 'seqtable' report file.

    ########################################
    # Program: digest
    # Rundate: Mon Feb 11 13:36:16 2002
    # Report_file: opsd_human.digest
    ########################################

    #=======================================
    #
    # Sequence: OPSD_HUMAN     from: 1   to: 348
    # HitCount: 14
    #
    # Complete digestion with Trypsin yields 14 fragments
    #
    #=======================================

      Start     End Mol_Weight cterm  nterm  Sequence
         70     135 7129.319   R      Y      TPLNYILLNLAVADLFMVLGGFTSTLYTSLHGYFVFGPTGCNLEGFFATLGGEIALWSLVVLAIER
        178     231 6335.495   R      E      YIPEGLQCSCGIDYYTLKPEVNNESFVIYMFVVHFTIPMIIIFFCYGQLVFTVK
         22      69 5788.873   R      T      SPFEYPQYYLAEPWQFSMLAAYMFLLIVLGFPINFLTLYVTVQHKKLR
        253     296 5004.085   R      S      MVIIMVIAFLICWVPYASVAFYIFTHQGSNFGPIFMTIPAFFAK
        136     177 4600.460   R      Y      YVVVCKPMSNFRFGENHAIMGVAFTWVMALACAAPPLAGWSR
          1      21 2257.495   .      S      MNGTEGPNFYVPFSNATGVVR
        297     311 1728.089   K      Q      SAAIYNPVIYIMMNK
        232     245 1490.538   K      A      EAAAQQQESATTQK
        326     339 1403.457   K      T      NPLGDDEASATVSK
        315     325 1186.476   R      N      NCMLTTICCGK
        340     348 902.950    K      .      TETSQVAPA
        249     252 503.550    K      M      EVTR
        312     314 449.504    K      N      QFR
        246     248 346.378    K      E      AEK

    #---------------------------------------
    #---------------------------------------

The header information contains the propgram name, date of run, name of the reagent used to digest the protein and the number of fragments reported. The header will report if complete or partial digestion was chosen.

The rest of the file consists of columns holding the following data:

- The start position of the fragment
- The end position of the fragment
- The molecular weight of the fragment
- The residue before the cut site ('.' if start of sequence)
- The residue after the second cut site ('.' if end of sequence)
- The sequence of the fragment.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

ALways exist with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
antigenic | Finds antigenic sites in proteins
fuzzpro | Protein pattern search
fuzztran | Protein pattern search after translation
helixturnhelix | Report nucleic acid binding motifs
oddcomp | Finds protein sequence regions with a biased composition
patmatdb | Search a protein sequence with a motif
patmatmotifs | Search a PROSITE motif database with a protein sequence
pepcoil | Predicts coiled coil regions
preg | Regular expression search of a protein sequence
pscan | Scans proteins using PRINTS
sigcleave | Reports protein signal cleavage sites

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

Written (1999) - Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments